<script lang="ts">
	interface Props {
		avatar?: string;
		name?: string;
		email?: string;
		avatarSize?: string;
	}

	let {
		avatar = '',
		name = '',
		email = '',
		avatarSize = '8rem'
	}: Props = $props();
</script>

<div class="profile">
	<div class="avatar" style={`--avatarSize:${avatarSize}`}>
		<img src={avatar} alt="User Avatar" />
	</div>

	<p class="name">{name}</p>
	<p class="email">{email}</p>
</div>

<style>
	.profile {
    padding-top: 2rem;
		display: grid;
		grid-template-columns: auto 1fr;
		grid-template-rows: 2fr 1fr;
		grid-template-areas: 'avatar name' 'avatar email';
		padding-right: 1rem;
    padding-left: 1rem;
		column-gap: 1rem;
	}

	.name {
		grid-area: name;
		word-wrap: break-word;
    overflow: hidden;
    max-width: 100%;
		font-size: 1.3rem;
		text-align: left;
		color: #cbcbcb;
		margin-left: 1rem;
	}

	.email {
		grid-area: email;
		word-wrap: break-word;
    overflow: hidden;
    max-width: 100%;
		font-size: 1rem;
		text-align: left;
		color: #7c7c7c;
		margin-left: 1rem;
	}

	.avatar {
		width: var(--avatarSize);
		height: var(--avatarSize);
		max-width: 10rem;
		max-height: 10rem;
		border-radius: 50%;
		overflow: hidden;
		display: inline-flex;
		align-items: center;
		justify-content: center;
		grid-area: avatar;
	}

	.avatar img {
		width: 100%;
		height: 100%;
		object-fit: cover;
	}

	p {
		margin: 0;
		margin-top: auto;
		margin-bottom: auto;
	}
</style>
